AnsweredAssumed Answered

Obtaining earlier versions of PI AF SDK DLL's

Question asked by golbar on Feb 1, 2019
Latest reply on Feb 1, 2019 by Marcos Vainer Loeff

Hello,

I'm currently working on a project in which I'm not sure what the target version of .NET will be (I don't know, which version of .NET: 4.5, 4.6 or 4.6.2 or maybe even 4.0, will be/ is installed on the production machine). Of course, I could build my app preventively against 4.0, but in that way I'll lose some of the newer features of AF SDK.
Is there a better way of obtaining AFSDK DLL's for mentioned versions of .NET, than uninstalling current version of AF Client, and installing AF Client 2012, 2015 and 2017 R2 in sequence and copying DLL's from ".../Public Assemblies"?

 

Thanks in advance

Outcomes